Arch RemoveShape/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "{{Docnav/pl |Zaznacz siatki typu non-manifold |Zamknij otwory |środowisko pracy Architektura |IconL=Arch_SelectNonManifold.svg |IconR=Arch_CloseHoles.svg |IconC=Workbench_Arch.svg }}")
(Created page with "{{GuiCommand/pl |Name=Arch RemoveShape |Name/pl=Architektura: Usuń kształt z Architektury |MenuLocation=Architektura → Narzędzia → Usuń kształt z Architektury |Workbenches=Architektura |SeeAlso=Podziel siatkę, Kształt z siatki }}")
Line 10: Line 10:
}}
}}


{{GuiCommand
{{GuiCommand/pl
|Name=Arch RemoveShape
|Name=Arch RemoveShape
|Name/pl=Architektura: Usuń kształt z Architektury
|MenuLocation=Arch → Utilities → Remove Shape
|MenuLocation=Architektura → Narzędzia → Usuń kształt z Architektury
|Workbenches=[[Arch_Workbench|Arch]]
|Workbenches=[[Arch_Workbench|Architektura]]
|SeeAlso=[[Arch_SplitMesh|Arch SplitMesh]], [[Arch_MeshToShape|Arch MeshToShape]]
|SeeAlso=[[Arch_SplitMesh/pl|Podziel siatkę]], [[Arch_MeshToShape/pl|Kształt z siatki]]
}}
}}



Revision as of 17:15, 6 May 2024

Architektura: Usuń kształt z Architektury

Lokalizacja w menu
Architektura → Narzędzia → Usuń kształt z Architektury
Środowisko pracy
Architektura
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
Podziel siatkę, Kształt z siatki

Description

This tool attempts at removing the inner cubic shape of an Arch Wall or Arch Structure, and adjusting its properties, making it totally parametric. This tool will only work if the underlying shape is cubic (exactly 6 faces, all corners have only right angles).

Usage

  1. Select an Arch Wall or Arch Structure
  2. Press the button or use ArchUtilities Remove Shape from the top menu.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

removeShape(objs, mark=True)
  • Takes a list of Arch objects (objs) built on a cubic shape, and removes the inner shape, keeping the length, width and height as properties of the Arch object.
  • If mark is True, objects that cannot be processed by this function will become red.
import FreeCAD, Draft, Arch

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 1000
Box.Width = 2000
Box.Height = 1000
FreeCAD.ActiveDocument.recompute()

Structure = Arch.makeStructure(Box)
FreeCAD.ActiveDocument.recompute()

Arch.removeShape(Structure)
FreeCAD.ActiveDocument.recompute()